| Home | Libraries | People | FAQ | More

#### http::is_fields

Determine if a type meets the Fields named requirements.

##### Synopsis

Defined in header `<boost/beast/http/type_traits.hpp>`

    template<
        class T>
    using is_fields = see-below;

##### Description

This alias template is `std::true_type` if `T` meets the requirements, otherwise it is `std::false_type`.

##### Template Parameters

Type | Description
--- | ---
`T` | The type to test.

##### Example

Use with `static_assert`:

    template<bool isRequest, class Body, class Fields>
    void f(message<isRequest, Body, Fields> const&)
    {
        static_assert(is_fields<Fields>::value,
            "Fields type requirements not met");
    ...

Use with `std::enable_if` (SFINAE):

    template<bool isRequest, class Body, class Fields>
    typename std::enable_if<is_fields<Fields>::value>::type
    f(message<isRequest, Body, Fields> const&);

Convenience header `<boost/beast/http.hpp>`